# Multiple Requests

To make multiple requests, put all of your requests in an array.

All requests are executed sequentially and the output of the last request is used as the module's output.

{% hint style="info" %}
During the execution of multiple calls in a module, when the service returns an HTTP error, it is not possible to evaluate it as a success. Therefore, handling the error by another call is not possible.
{% endhint %}

## Examples

### Extending data by executing an additional call

{% tabs %}
{% tab title="Source" %}

```json
[
    {
        "url": "http://example.com/api/user",
        "response": {
            "temp": {
                "username": "{{body.username}}"
            }
        }    
    },
    {
        "url": "http://example.com/items",
        "response": {
            "iterate": "{{body}}",
            "output": {
                "username": "{{temp.username}}",
                "text": "{{item.text}}"
            }
        }
    }
]
```

{% endtab %}
{% endtabs %}

### Full update approach

When the endpoint for updating a record has a full update approach, to update a record correctly you need to provide all parameters. If some parameters are omitted, they will be cleared or overridden to default values. This is not user friendly and should be handled on the app's side.

### Asynchronous approach

When a web service doesn't support a synchronous approach and the common use case of the module requires support, it should be added on the app's side.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/custom-apps-documentation/component-blocks/api/multiple-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
